Commit 3cceee03 authored by Jan Gerber's avatar Jan Gerber
Browse files

update libkate version to 0.1.3(thanks ogg.k.ogg.k

parent 852b2e1b
......@@ -93,6 +93,8 @@ if not conf.CheckPKG(FFMPEG_LIBS):
env.ParseConfig('pkg-config %s "%s"' % (pkg_flags, FFMPEG_LIBS))
KATE_LIBS="oggkate"
if os.path.exists("./libkate/misc/pkgconfig"):
os.environ['PKG_CONFIG_PATH'] = "./libkate/misc/pkgconfig:" + os.environ.get('PKG_CONFIG_PATH', '')
if os.path.exists("./libkate/pkg/pkgconfig"):
os.environ['PKG_CONFIG_PATH'] = "./libkate/pkg/pkgconfig:" + os.environ.get('PKG_CONFIG_PATH', '')
if conf.CheckPKG(KATE_LIBS):
......
......@@ -29,8 +29,8 @@ PKG_CHECK_MODULES(XIPH,ogg >= 1.1 vorbis vorbisenc theora >= 1.0beta1)
AC_SUBST(XIPH_CFLAGS)
AC_SUBST(XIPH_LIBS)
export PKG_CONFIG_PATH=./libkate/pkg/pkgconfig:$PKG_CONFIG_PATH
PKG_CHECK_MODULES(KATE,oggkate,
export PKG_CONFIG_PATH=./libkate/misc/pkgconfig:./libkate/pkg/pkgconfig:$PKG_CONFIG_PATH
PKG_CHECK_MODULES(KATE,oggkate >= 0.1.3,
KATE_CFLAGS="-DHAVE_KATE -DHAVE_OGGKATE $KATE_CFLAGS",
[AC_MSG_RESULT(
......
#!/bin/bash
version=0.1.1
version=0.1.3
baseurl="http://libkate.googlecode.com/files/libkate-$version.tar.gz"
which wget >& /dev/null
......@@ -25,6 +25,6 @@ then
fi
tar xfz "libkate-$version.tar.gz"
ln -fs "libkate-$version" libkate
ln -fs -T "libkate-$version" libkate
cd libkate && make staticlib
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment